Bug 98178 - Thread::Signal missing from perl-5.8.0-88
Thread::Signal missing from perl-5.8.0-88
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-06-27 11:07 EDT by Need Real Name
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-11 19:54:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-06-27 11:07:29 EDT
Description of problem:

While installing Thread::Status it required a dependent module Thread::Signal.
It claims that Thread::Signal is bundled in perl 5.8.0. However RedHat's build
of perl 5.8.0 does not include this module. Please correct in an errata.

Checking if your kit is complete...
Looks good
Warning: prerequisite Thread::Signal 1.06 not found.
Writing Makefile for Thread::Status
---- Unsatisfied dependencies detected during
[E/EL/ELIZABETH/Thread-Status-0.03.tar.gz] -----
Shall I follow them and prepend them to the queue
of modules we are processing right now? [yes] 
Running make test
  Delayed until after prerequisites
Running make install
  Delayed until after prerequisites
Running install for module Thread::Signal
Running make for J/JH/JHI/perl-5.8.0.tar.gz

The most recent version "1.00" of the module "Thread::Signal"
comes with the current version of perl (5.8.0).
I'll build that only if you ask for something like
    force install Thread::Signal
    install J/JH/JHI/perl-5.8.0.tar.gz

and then trying to install the missing module from CPAN results in CPAN
attempting to build 5.8.0 again which is less than ideal:

cpan> force install Thread::Signal
Running install for module Thread::Signal
Running make for J/JH/JHI/perl-5.8.0.tar.gz
Fetching with LWP:

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Attempt to install Thread::Status from CPAN and watch the dependency fail
Actual results:

See Description section above.

Expected results:

Thread::Signal should be included in the default RH-shipped perl build as it is
in the default perl 5.8.0 build.

Additional info:
Comment 1 Jason Vas Dias 2005-11-11 19:54:47 EST
Sorry for the long delay in processing this bug.

The Thread::Signal package was never shipped in the upstream perl-5.8.0 release -
it appears CPAN was in error when it told you it was back in 2003-06-27 .

Now, a CPAN build of Thread::Status under RHEL-3 perl-5.8.0 does pull in the
Thread::Signal package OK.

Note You need to log in before you can comment on or make changes to this bug.